sealed class EntityFailure {
  final String? message;
  const EntityFailure(this.message);
}

class AuthFailure extends EntityFailure {
  final int attemptsLeft;
  const AuthFailure(this.attemptsLeft, {String? message}) : super(message);
}

class AuthBlockFailure extends EntityFailure {
  const AuthBlockFailure(super.message);
}

class WrongZoneFailure extends EntityFailure {
  const WrongZoneFailure(super.message);
}

class ScooterNotFoundFailure extends EntityFailure {
  const ScooterNotFoundFailure(super.message);
}

class RouteHistoryNotFoundFailure extends EntityFailure {
  const RouteHistoryNotFoundFailure(super.message);
}

class UnknownFailure extends EntityFailure {
  const UnknownFailure(super.message);
}